import React from "react";
import { Combobox as ShadcnCombobox, ComboboxInput as ShadcnComboboxInput, ComboboxContent as ShadcnComboboxContent, ComboboxList as ShadcnComboboxList, ComboboxItem as ShadcnComboboxItem, ComboboxGroup as ShadcnComboboxGroup, ComboboxLabel as ShadcnComboboxLabel, ComboboxCollection as ShadcnComboboxCollection, ComboboxEmpty as ShadcnComboboxEmpty, ComboboxSeparator as ShadcnComboboxSeparator, ComboboxChips as ShadcnComboboxChips, ComboboxChip as ShadcnComboboxChip, ComboboxTrigger as ShadcnComboboxTrigger, ComboboxValue as ShadcnComboboxValue, useComboboxAnchor } from "src/shadcn/components/combobox";
declare const Combobox: (props: React.ComponentProps<typeof ShadcnCombobox>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxInput: (props: React.ComponentProps<typeof ShadcnComboboxInput>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxContent: (props: React.ComponentProps<typeof ShadcnComboboxContent>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxList: (props: React.ComponentProps<typeof ShadcnComboboxList>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxItem: (props: React.ComponentProps<typeof ShadcnComboboxItem>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxGroup: (props: React.ComponentProps<typeof ShadcnComboboxGroup>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxLabel: (props: React.ComponentProps<typeof ShadcnComboboxLabel>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxCollection: (props: React.ComponentProps<typeof ShadcnComboboxCollection>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxEmpty: (props: React.ComponentProps<typeof ShadcnComboboxEmpty>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxSeparator: (props: React.ComponentProps<typeof ShadcnComboboxSeparator>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxChips: (props: React.ComponentProps<typeof ShadcnComboboxChips>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxChip: (props: React.ComponentProps<typeof ShadcnComboboxChip>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxChipsInput: React.ForwardRefExoticComponent<Omit<Omit<import("@base-ui/react").AutocompleteInputProps, "ref"> & React.RefAttributes<HTMLInputElement>, "ref"> & React.RefAttributes<HTMLInputElement>>;
declare const ComboboxTrigger: (props: React.ComponentProps<typeof ShadcnComboboxTrigger>) => import("react/jsx-runtime").JSX.Element;
declare const ComboboxValue: (props: React.ComponentProps<typeof ShadcnComboboxValue>) => import("react/jsx-runtime").JSX.Element;
export { Combobox, ComboboxInput, ComboboxContent, ComboboxList, ComboboxItem, ComboboxGroup, ComboboxLabel, ComboboxCollection, ComboboxEmpty, ComboboxSeparator, ComboboxChips, ComboboxChip, ComboboxChipsInput, ComboboxTrigger, ComboboxValue, useComboboxAnchor, };
